PositionBasedTermVectorMapper.TVPositionInfo (Lucene 2.4.1 API)
Keywords: org.apache.lucene.index.PositionBasedTermVectorMapper.TVPositionInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class PositionBasedTermVectorMapper.TVPositionInfo

    java.lang.Object
      org.apache.lucene.index.PositionBasedTermVectorMapper.TVPositionInfo

Enclosing class:
  PositionBasedTermVectorMapper

    public static class PositionBasedTermVectorMapper.TVPositionInfo

extends Object

Container for a term at a position

Constructor Summary
`PositionBasedTermVectorMapper.TVPositionInfo(int position, boolean storeOffsets)`

Method Summary
`List` | `getOffsets()` Parallel list (to `getTerms()`) of TermVectorOffsetInfo objects.
`int` | `getPosition()`
`List` | `getTerms()` Note, there may be multiple terms at the same position

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PositionBasedTermVectorMapper.TVPositionInfo

    public PositionBasedTermVectorMapper.TVPositionInfo(int position,
                                                        boolean storeOffsets)

Method Detail

### getPosition

    public int getPosition()

  Returns:
    The position of the term

### getTerms

    public List getTerms()

  Note, there may be multiple terms at the same position

  Returns:
    A List of Strings

### getOffsets

    public List getOffsets()

  Parallel list (to `getTerms()`) of TermVectorOffsetInfo objects. There may be multiple entries since there may be multiple terms at a position

  Returns:
    A List of TermVectorOffsetInfo objects, if offsets are store.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.